# SOME DESCRIPTIVE TITLE.
# Copyright (C) YEAR University of Padova, dept. of Pure and Applied Mathematics
# This file is distributed under the same license as the PACKAGE package.
# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
#
#, fuzzy
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: matteo@member.fsf.org\n"
"POT-Creation-Date: 2006-09-09 17:54+0200\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: LANGUAGE <LL@li.org>\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=CHARSET\n"
"Content-Transfer-Encoding: 8bit\n"

#: src/gui_builder.cc:172 src/gui_builder.cc:215 src/gui_builder.cc:285
msgid "ERROR: No registered serializer available"
msgstr ""

#: src/gui_builder.cc:177 src/gui_builder.cc:220 src/gui_builder.cc:290
#: src/text_simulation.cc:378 src/text_simulation.cc:384
#: src/text_simulation.cc:402 src/text_simulation.cc:466
#: src/text_simulation.cc:472 src/text_simulation.cc:490
#: src/text_simulation.cc:836 src/text_simulation.cc:858
#: src/text_simulation.cc:1549 src/text_simulation.cc:1586
msgid "ERROR: "
msgstr ""

#: src/gui_builder.cc:312 src/gui_builder.cc:340
msgid ""
"<b>No CPU policy is currently selected.</b>\n"
"Please choose one before trying to configure it."
msgstr ""

#: src/gui_builder.cc:318 src/gui_builder.cc:347
msgid "Configuring CPU Policy "
msgstr ""

#: src/gui_builder.cc:406
msgid "Selected CPU policy "
msgstr ""

#: src/gui_builder.cc:414
msgid "<b>Impossible to select this CPU Policy.</b>\n"
msgstr ""

#: src/gui_builder.cc:420
msgid "No CPU policy selected. Please select one."
msgstr ""

#: src/gui_builder.cc:468
msgid "Current resource policy deselected."
msgstr ""

#: src/gui_builder.cc:470
msgid "Selected resource policy "
msgstr ""

#: src/gui_builder.cc:640
msgid "Filename to open: "
msgstr ""

#: src/parse_opts.cc:69
msgid "starts the program in command line mode"
msgstr ""

#: src/parse_opts.cc:70
msgid "adds this directory to the default modules search path"
msgstr ""

#: src/parse_opts.cc:71
msgid "adds this directory to default plugin search path"
msgstr ""

#: src/parse_opts.cc:72
msgid "a list of savefiles; only the first will be opened"
msgstr ""

#: src/parse_opts.cc:92
msgid ""
"SGPEMv2, a graphical simulator for process scheduling in a multitasking "
"computer"
msgstr ""

#: src/parse_opts.cc:113
msgid "Error while loading preferences"
msgstr ""

#: src/parse_opts.cc:143
msgid ""
" [II] To see a list of commands available,\n"
" [II] please type \"help\" and hit the ENTER key."
msgstr ""

#: src/parse_opts.cc:167
msgid "Bad invocation: "
msgstr ""

#: src/parse_opts.cc:168
msgid "Use the `-?' or `--help' option to see the help"
msgstr ""

#: src/ready_queue_widget.cc:37
msgid "<b>Ready queue: { </b>"
msgstr ""

#: src/ready_queue_widget.cc:38
msgid "<b> } at instant </b>"
msgstr ""

#: src/simulation_controller.cc:194 src/jump_to_dialog.cc:106
msgid "<b>The selected user CPU policy stopped before returning:</b>\n"
msgstr ""

#: src/simulation_controller.cc:201 src/jump_to_dialog.cc:113
msgid ""
"<b>The selected user CPU policy was malformed and failed to sort the queue:</"
"b>\n"
msgstr ""

#: src/simulation_controller.cc:213 src/jump_to_dialog.cc:125
msgid " [EE] Fatal error. Impossible to deactivate the policy in "
msgstr ""

#: src/simulation_controller.cc:214 src/jump_to_dialog.cc:126
msgid " [EE] "
msgstr ""

#: src/simulation_controller.cc:221 src/jump_to_dialog.cc:132
msgid "<b>No active policy selected:</b>\n"
msgstr ""

#: src/simulation_controller.cc:228 src/jump_to_dialog.cc:139
msgid "<b>Unexpected error</b>:\n"
msgstr ""

#: src/add_request_dialog.cc:96
msgid "key"
msgstr ""

#: src/add_request_dialog.cc:97
msgid "resource"
msgstr ""

#: src/add_request_dialog.cc:98
msgid "length"
msgstr ""

#: src/graphical_preferences_editor.cc:315
#: src/graphical_preferences_editor.cc:365
msgid "Select a directory to add"
msgstr ""

#: src/schedulable_state_widget.cc:66
msgid "Future"
msgstr ""

#: src/schedulable_state_widget.cc:70
msgid "Ready"
msgstr ""

#: src/schedulable_state_widget.cc:74
msgid "Running"
msgstr ""

#: src/schedulable_state_widget.cc:78
msgid "Blocked"
msgstr ""

#: src/schedulable_state_widget.cc:82
msgid "Terminated"
msgstr ""

#: src/backend/concrete_simulation.cc:257
msgid "unable to change policy and to restore the previous: "
msgstr ""

#: src/backend/concrete_simulation.cc:263
msgid "unable to change policy: "
msgstr ""

#: src/backend/string_utils.cc:54 src/backend/string_utils.cc:90
msgid "too few or too many tokens"
msgstr ""

#: src/backend/string_utils.cc:77
msgid "incorrect number format"
msgstr ""

#: src/backend/string_utils.cc:113
msgid "incorrect boolean"
msgstr ""

#: src/schedulables_tree_widget.cc:65
msgid "schedulables"
msgstr ""

#: src/schedulables_tree_widget.cc:170
msgid "Add Process"
msgstr ""

#: src/schedulables_tree_widget.cc:173
msgid "Add Thread"
msgstr ""

#: src/schedulables_tree_widget.cc:176
msgid "Add Request"
msgstr ""

#: src/schedulables_tree_widget.cc:179
msgid "Edit Process"
msgstr ""

#: src/schedulables_tree_widget.cc:182
msgid "Edit Thread"
msgstr ""

#: src/schedulables_tree_widget.cc:185
msgid "Edit Request"
msgstr ""

#: src/schedulables_tree_widget.cc:188
msgid "Remove Process"
msgstr ""

#: src/schedulables_tree_widget.cc:191
msgid "Remove Thread"
msgstr ""

#: src/schedulables_tree_widget.cc:194
msgid "Remove Request"
msgstr ""

#: src/schedulables_tree_widget.cc:640
msgid ", arrives at: "
msgstr ""

#: src/schedulables_tree_widget.cc:641
msgid ", base priority: "
msgstr ""

#: src/schedulables_tree_widget.cc:642
msgid ", elapsed time: "
msgstr ""

#: src/schedulables_tree_widget.cc:643
msgid ", current priority: "
msgstr ""

#: src/schedulables_tree_widget.cc:659
msgid "at "
msgstr ""

#: src/simulation_widget.cc:159
msgid ""
"Nothing to see here... add some processes! Right-click on the Schedulables "
"view in this window."
msgstr ""

#: src/holt_container_window.cc:10
msgid "Holt Graph"
msgstr ""

#: src/text_simulation.cc:117
msgid "ERROR: this command requires at least "
msgstr ""

#: src/text_simulation.cc:117
msgid " arguments\n"
msgstr ""

#: src/text_simulation.cc:123
msgid "WARNING: some arguments will be ignored\n"
msgstr ""

#: src/text_simulation.cc:133
msgid ""
"WARNING: Simulation was not recently saved. If you continue some changes to "
"the simulation might be lost.\n"
msgstr ""

#: src/text_simulation.cc:138
msgid "Continue? [y/n] "
msgstr ""

#: src/text_simulation.cc:146
msgid "n"
msgstr ""

#: src/text_simulation.cc:148
msgid "y"
msgstr ""

#: src/text_simulation.cc:247
msgid "ERROR: Provided value is out of range\n"
msgstr ""

#: src/text_simulation.cc:253
msgid "ERROR: Please provide a valid numeric value\n"
msgstr ""

#: src/text_simulation.cc:262
msgid "ERROR: This is a mandatory attribute; you MUST provide a valid value!\n"
msgstr ""

#: src/text_simulation.cc:294 src/text_simulation.cc:341
msgid "ERROR: This is a mandatory atribute; you MUST provide a valid value!\n"
msgstr ""

#: src/text_simulation.cc:335
msgid "ERROR: Please provide a valid boolean value ('true' or 'false')\n"
msgstr ""

#: src/text_simulation.cc:380 src/text_simulation.cc:404
#: src/text_simulation.cc:468 src/text_simulation.cc:492
msgid ""
"\n"
"Simulation is now stopped\n"
msgstr ""

#: src/text_simulation.cc:386 src/text_simulation.cc:474
msgid ""
"\n"
"Simulation is now stopped, and the current policy will be deactivated\n"
msgstr ""

#: src/text_simulation.cc:395 src/text_simulation.cc:483
msgid "FATAL ERROR: unable to deactivate the policy: "
msgstr ""

#: src/text_simulation.cc:408 src/text_simulation.cc:496
msgid "UNKNOWN ERROR: "
msgstr ""

#: src/text_simulation.cc:442
msgid "ERROR: provided instant is out of range.\n"
msgstr ""

#: src/text_simulation.cc:449
msgid "ERROR: provided instant is not a valid integer\n"
msgstr ""

#: src/text_simulation.cc:454
msgid "ERROR: the instant is not within range.\n"
msgstr ""

#: src/text_simulation.cc:530
msgid "Please provide a value for each attribute:\n"
msgstr ""

#: src/text_simulation.cc:531
msgid ""
"Mandatory arguments are marked with an asterisk (*)\n"
"\n"
msgstr ""

#: src/text_simulation.cc:534
msgid "Nothing to configure for this policy.\n"
msgstr ""

#: src/text_simulation.cc:537
msgid "Integer arguments:\n"
msgstr ""

#: src/text_simulation.cc:558
msgid ""
"\n"
"Floating-point arguments:\n"
msgstr ""

#: src/text_simulation.cc:574
msgid ""
"\n"
"String arguments:\n"
msgstr ""

#: src/text_simulation.cc:604
msgid "ERROR: No CPU policy actually selected for the simulation\n"
msgstr ""

#: src/text_simulation.cc:613
msgid "ERROR: No resource policy actually selected for the simulation\n"
msgstr ""

#: src/text_simulation.cc:618
msgid "ERROR: Nothing to configure for "
msgstr ""

#: src/text_simulation.cc:634
msgid ""
"Avaiable commands:\n"
"RUN\n"
"STOP\n"
"PAUSE\n"
"CONFIGURE-CPU-POLICY\n"
"HELP\n"
"GET\n"
"SET\n"
"SHOW\n"
"ADD\n"
"REMOVE\n"
"SAVE\n"
"LOAD\n"
"QUIT\n"
"\n"
"HELP followed by a command name shows help about it.\n"
"ex. `HELP RUN` shows help about the command RUN\n"
msgstr ""

#: src/text_simulation.cc:640
msgid ""
"-- RUN COMMAND --\n"
"Starts the simulation. It can be continuous or step-by-step depending on the "
"mode configured with SET CONTINUOUS (default=true).\n"
"\n"
"The output of RUN is a snapshot of the state of the simulation at each "
"instant.\n"
"The instant 0 represents the initial state, during which no process is "
"running. The scheduler activity begins at instant 1.\n"
msgstr ""

#: src/text_simulation.cc:649
msgid ""
"-- STOP COMMAND --\n"
"Stops the simulation. The next call to RUN will bring the simulation to the "
"first instant and start it.\n"
msgstr ""

#: src/text_simulation.cc:652
msgid ""
"-- PAUSE COMMAND --\n"
"Pauses the simulation. The next call to RUN will continue it.\n"
msgstr ""

#: src/text_simulation.cc:655
msgid ""
"-- JUMPTO COMMAND --\n"
"Pauses the simulation and jumps to the specified instant.\n"
msgstr ""

#: src/text_simulation.cc:657
msgid ""
"-- CONFIGURE COMMAND --\n"
"Configures a configurable entity.\n"
"\n"
"Syntax: CONFIGURE <entity>\n"
"\twhere <entity> may be cpu-policy or resource-policy.\n"
"This is currently the only way to control the behaviour of policies without "
"modifying their source code.\n"
msgstr ""

#: src/text_simulation.cc:663
msgid ""
"-- HELP COMMAND --\n"
"The help you're reading.\n"
msgstr ""

#: src/text_simulation.cc:665
msgid ""
"-- GET COMMAND --\n"
"Syntax: GET <attr_name>\n"
"\twhere <attr_name> may be simulation-tick or continuous.\n"
msgstr ""

#: src/text_simulation.cc:668
msgid ""
"-- SET COMMAND --\n"
"Syntax: SET <attr_name> [=] <value>\n"
"\twhere <attr_name> may be simulation-tick, continuous, cpu-policy or "
"resource-policy.\n"
msgstr ""

#: src/text_simulation.cc:671
msgid ""
"-- SHOW COMMAND --\n"
"Displays the name of the entities (if available) and other informations "
"prefixed by its numeric identifier.\n"
"\n"
"Syntax depends from entities being displayed:\n"
"`SHOW processes|resources|cpu-policies|resource-policies`\n"
"`SHOW threads <process_id>` with <process_id> being the numeric identifier "
"of the parent process\n"
"`SHOW requests <process_id> <thread_id>` with <thread_id> being the numeric "
"identifier of the thread child of process identified by <process_id>\n"
"`SHOW subrequests <process_id> <thread_id> <request_id>` where the numeric "
"ids follow the same logic of the previous commands\n"
msgstr ""

#: src/text_simulation.cc:682
msgid ""
"-- ADD COMMAND --\n"
"Adds an entity by using a questionary-like approach.\n"
"\n"
"Syntax depends from entity being added:\n"
"`ADD process|resource`\n"
"`ADD thread <process_id>` with <process_id> being the numeric identifier of "
"the parent process\n"
"`ADD request <process_id> <thread_id>` with <thread_id> being the numeric "
"identifier of the thread child of process identified by <process_id>\n"
"`ADD subrequest <process_id> <thread_id> <request_id>` where the numeric ids "
"follow the same logic of the previous commands\n"
msgstr ""

#: src/text_simulation.cc:692
msgid ""
"-- REMOVE COMMAND --\n"
"Removes an entity.\n"
"\n"
"Syntax depends from entity being removed:\n"
"`REMOVE process|resource <id>` where <id> is the process or resource "
"identifier\n"
"`REMOVE thread <process_id> <thread_id>` with <process_id> being the "
"identifier of the parent process, and <thread_id> the id of the thread to be "
"removed\n"
"`REMOVE request <process_id> <thread_id> <request_id>` where the numeric ids "
"follow the same logic of the previous commands\n"
"`REMOVE subrequest <process_id> <thread_id> <request_id> <subrequest_id>` "
"where the numeric ids follow the same logic of the previous commands\n"
msgstr ""

#: src/text_simulation.cc:702
msgid ""
"-- SAVE COMMAND --\n"
"Saves the simulation.\n"
"\n"
"Syntax: SAVE <filename>\n"
msgstr ""

#: src/text_simulation.cc:705
msgid ""
"-- LOAD COMMAND --\n"
"Loads the simulation.\n"
"\n"
"Syntax: LOAD <filename>\n"
msgstr ""

#: src/text_simulation.cc:708
msgid ""
"-- QUIT COMMAND --\n"
"Gently closes the program.\n"
msgstr ""

#: src/text_simulation.cc:710
msgid "ERROR: Sorry, no help available for this command.\n"
msgstr ""

#: src/text_simulation.cc:721
msgid ""
"\n"
"Bye.\n"
"\n"
msgstr ""

#: src/text_simulation.cc:748 src/text_simulation.cc:878
msgid "ERROR: invalid attribute name.\n"
msgstr ""

#: src/text_simulation.cc:813
msgid "ERROR: you must provide a valid unsigned integer value\n"
msgstr ""

#: src/text_simulation.cc:825
msgid " scheduling policy selected.\n"
msgstr ""

#: src/text_simulation.cc:832
msgid ""
"ERROR: invalid unsigned integer or not a valid scheduling policy index\n"
msgstr ""

#: src/text_simulation.cc:850
msgid " resource policy selected.\n"
msgstr ""

#: src/text_simulation.cc:854
msgid "ERROR: invalid unsigned integer or not a valid resource policy index\n"
msgstr ""

#: src/text_simulation.cc:874
msgid "ERROR: you must provide a valid boolean value ('true' or 'false')\n"
msgstr ""

#: src/text_simulation.cc:909 src/text_simulation.cc:1114
#: src/text_simulation.cc:1326
msgid "ERROR: invalid argument\n"
msgstr ""

#: src/text_simulation.cc:956
msgid "ERROR: provided process identifier is not a valid integer\n"
msgstr ""

#: src/text_simulation.cc:961
msgid "ERROR: this process identifier does not belong to an existing process\n"
msgstr ""

#: src/text_simulation.cc:992 src/text_simulation.cc:1030
#: src/text_simulation.cc:1172 src/text_simulation.cc:1221
#: src/text_simulation.cc:1267 src/text_simulation.cc:1350
#: src/text_simulation.cc:1387 src/text_simulation.cc:1423
#: src/text_simulation.cc:1463 src/text_simulation.cc:1506
msgid "ERROR: provided identifier(s) not a valid integer\n"
msgstr ""

#: src/text_simulation.cc:997 src/text_simulation.cc:1035
#: src/text_simulation.cc:1177 src/text_simulation.cc:1226
#: src/text_simulation.cc:1272 src/text_simulation.cc:1355
#: src/text_simulation.cc:1392 src/text_simulation.cc:1428
#: src/text_simulation.cc:1468 src/text_simulation.cc:1511
msgid "ERROR: the identifier(s) do not belong to an existing entity\n"
msgstr ""

#: src/text_simulation.cc:1094
msgid "WARNING: Simulation is not stopped, it will be automatically stopped\n"
msgstr ""

#: src/text_simulation.cc:1124 src/text_simulation.cc:1142
#: src/text_simulation.cc:1181
msgid "name"
msgstr ""

#: src/text_simulation.cc:1125 src/text_simulation.cc:1183
msgid "arrival time"
msgstr ""

#: src/text_simulation.cc:1126 src/text_simulation.cc:1811
msgid "priority"
msgstr ""

#: src/text_simulation.cc:1143
msgid "places"
msgstr ""

#: src/text_simulation.cc:1182
msgid "cpu time"
msgstr ""

#: src/text_simulation.cc:1184
msgid "base priority"
msgstr ""

#: src/text_simulation.cc:1230
msgid "instant"
msgstr ""

#: src/text_simulation.cc:1276
msgid "resource key"
msgstr ""

#: src/text_simulation.cc:1277
msgid "duration"
msgstr ""

#: src/text_simulation.cc:1286
msgid "ERROR: invalid resource identifier\n"
msgstr ""

#: src/text_simulation.cc:1308
msgid "WARNING: Simulation is not stopped, it will be automatically stopped"
msgstr ""

#: src/text_simulation.cc:1383
msgid "invalid resource id"
msgstr ""

#: src/text_simulation.cc:1545 src/text_simulation.cc:1582
msgid "ERROR: No registered serializer available\n"
msgstr ""

#: src/text_simulation.cc:1653
msgid "ERROR: command not supported\n"
msgstr ""

#: src/text_simulation.cc:1671
msgid ">> RUNNING <<"
msgstr ""

#: src/text_simulation.cc:1674
msgid "READY"
msgstr ""

#: src/text_simulation.cc:1677
msgid "BLOCKED"
msgstr ""

#: src/text_simulation.cc:1680 src/text_simulation.cc:1704
msgid "FUTURE"
msgstr ""

#: src/text_simulation.cc:1683
msgid "TERMINATED"
msgstr ""

#: src/text_simulation.cc:1698
msgid "UNALLOCABLE"
msgstr ""

#: src/text_simulation.cc:1701
msgid "ALLOCATED"
msgstr ""

#: src/text_simulation.cc:1707
msgid "EXHAUSTED"
msgstr ""

#: src/text_simulation.cc:1710
msgid "ALLOCABLE"
msgstr ""

#: src/text_simulation.cc:1734
msgid "READY QUEUE: { "
msgstr ""

#: src/text_simulation.cc:1742
msgid " ~ "
msgstr ""

#: src/text_simulation.cc:1745
msgid "}"
msgstr ""

#: src/text_simulation.cc:1759
msgid "RESOURCES:"
msgstr ""

#: src/text_simulation.cc:1765
msgid ", with "
msgstr ""

#: src/text_simulation.cc:1766
msgid " places"
msgstr ""

#: src/text_simulation.cc:1771
msgid "queue: { "
msgstr ""

#: src/text_simulation.cc:1787
msgid " }"
msgstr ""

#: src/text_simulation.cc:1805
msgid "PROCESSES:"
msgstr ""

#: src/text_simulation.cc:1807
msgid "state"
msgstr ""

#: src/text_simulation.cc:1808
msgid "arrival"
msgstr ""

#: src/text_simulation.cc:1809
msgid "requiring"
msgstr ""

#: src/text_simulation.cc:1810
msgid "elapsed"
msgstr ""

#: src/text_simulation.cc:1812
msgid "resource_id"
msgstr ""

#: src/resources_widget.cc:66
msgid "resources"
msgstr ""

#: src/configure_policy_dialog.cc:61
msgid "Policy description"
msgstr ""

#: src/configure_policy_dialog.cc:74
msgid "Integer values"
msgstr ""

#: src/configure_policy_dialog.cc:92
msgid "Floating point values"
msgstr ""

#: src/configure_policy_dialog.cc:109
msgid "Alphanumerical values"
msgstr ""

#: src/configure_policy_dialog.cc:124
msgid "No options to configure for this policy"
msgstr ""
